Skip to main content

Get Access Token Details

API Description

Get details about the organization and the contact person that granted you access to their data. Pass the access token you received in a response body returned by a Request Token API into the Authorization request header, and the service will return the corresponding resource.

Request

Path Template
GET {url}/api/v1/me

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL

Authorization

MUST be Bearer {access_token}

Example Request Headers
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxOTc2IiwibmFtZSI6IkpvaG5
ueSBBcHBsZXNlZWQiLCJpYXQiOjQ0MzYyMDgwMH0.V3n-3AcvyfHSuTCE9DNX3gHY3ApdGhUlF1fp-7fiMhI
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: c74ac48d-07d2-4e24-958a-f1769a1b002a
content-type: application/json

Response Body

ParentNameOutput
$.user
REQUIRED
userfirstName
REQUIRED
userlastName
REQUIRED
$.orgDetails
REQUIRED
orgDetailsorgId
REQUIRED
orgDetailslegalName
REQUIRED
$.companyDetails
DEPRECATED
companyDetailscompanyId
DEPRECATED
companyDetailslegalName
DEPRECATED
note

companyDetails and companyId are deprecated (output-only). These fields are included in responses for backward compatibility with existing integrations. Clients should transition to orgDetails and orgId. New integrations should not depend on these fields.

note

Apple Business cannot guarantee that Administrator credentials are not being shared by multiple individuals. When the same login email/password is being shared, the actual person that granted access may or may not be the contact person provided in the response body

Example Response Body (raw JSON)
{
"user": {
"firstName": "John",
"lastName": "Smith"
},
"orgDetails": {
"orgId": "9467895078742654934",
"legalName": "Big Enterprise"
},
"companyDetails": {
"companyId": "9467895078742654934",
"legalName": "Big Enterprise"
}
}